Bug 67576 - update net/citrix_ica to 8.00
Summary: update net/citrix_ica to 8.00
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Blapp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-04 18:00 UTC by Joerg Pulz
Modified: 2004-09-06 01:09 UTC (History)
0 users

See Also:


Attachments
citrix_ica.diff (5.28 KB, patch)
2004-06-04 18:00 UTC, Joerg Pulz
no flags Details | Diff
citrix_ica.diff (7.94 KB, patch)
2004-07-14 18:38 UTC, Joerg Pulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Pulz 2004-06-04 18:00:28 UTC
	Update net/citrix_ica to version 8.00
	new in this version:
		- PNAgent support
		- Xcapture support
Comment 1 Pav Lucistnik freebsd_committer 2004-06-04 18:22:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Over to maintainer.
Comment 2 Volker Stolz freebsd_committer 2004-07-14 15:02:46 UTC
Scripted installation does not work/gives wrong answers.

Cheers
   Volker

....
Select an option:

  1. I accept
  2. I do not accept

Enter option number 1-2 [2]: Installation proceeding...

Checking available disk space ...

         Disk space available 19483160 K
         Disk space required 4110 K


Continuing ...
Creating directory /usr/local/ICAClient
Core package...
7625 blocks
Setting file permissions...
Netscape found.

Found entries in Netscape configuration from an earlier installation.
Do you want these entries to point to the new installation? [default  
y]:You must answer yes or no[default yes]:
Integration complete.

Found KDE or GNOME desktop entries from an earlier installation.
Do you want these entries to point to the new installation? [default y]:
Select a setup option:

  1. Install Citrix ICA Client 8.00
  2. Remove Citrix ICA Client 8.00
  3. Quit Citrix ICA Client 8.00 setup

Enter option number 1-3 [2]:
You have chosen to remove the Citrix ICA Client 8.00
installation in /usr/local/ICAClient .
This will remove all software and configuration files in this directory.

Do you wish to continue with removal? [default n]: Removal abandoned.

Select a setup option:

  1. Install Citrix ICA Client 8.00
  2. Remove Citrix ICA Client 8.00
  3. Quit Citrix ICA Client 8.00 setup

Enter option number 1-3 [2]:
You have chosen to remove the Citrix ICA Client 8.00
installation in /usr/local/ICAClient .
This will remove all software and configuration files in this directory.

Do you wish to continue with removal? [default n]: ^C
Comment 3 Joerg Pulz 2004-07-14 18:38:28 UTC
On Wed, 14 Jul 2004, Volker Stolz wrote:

> Scripted installation does not work/gives wrong answers.
> [...]
> Setting file permissions...
> Netscape found.
>
> Found entries in Netscape configuration from an earlier installation.
> Do you want these entries to point to the new installation? [default y]:You 
> must answer yes or no[default yes]:
> Integration complete.

hi volker,

attached is a corrected version.
the source of this problem is the wrong "pkg-plist" coming with the 
previous version(s) of this port.
the install script searches various directories ($NSCP) for a 
netscape/mozilla installation. if a useable installation is found, the 
"mailcap" and "mime.types" files are modified and a symbolic link to the 
netscape ica-plugin is created.
the previous "pkg-plist" is only searching in '%D' for a useable 
netscape/mozilla installation to remove the symbolic link and the entries 
in the files mentioned above. as "%D" is "/usr/local/ICAClient" and in 
this directory is normally no netscape/mozilla installed, nothing will be 
removed.
on the next install script run, it detects that a previous version has 
already installed the symbolic link to the plugin and has modified the 
files. this ends up in an additional question one has to answer and leads 
to the endless loop you've seen.

i've modified the 'pkg-plist' to reflect all directories the install 
script searches for netscape/mozilla to remove all stuff that was 
installed.

could you please give it another try to see if everything works as 
expected.

thanks for pointing out this problem

regards joerg
Comment 4 Martin Blapp freebsd_committer 2004-09-06 01:09:12 UTC
State Changed
From-To: open->closed

Committed, thanks !